# Tarfile created using git
# git clone git://gitorious.org/meego-netbook-ux/anerley.git
# git archive --format=tar --prefix=%{name}-%{version}/ %{version} | bzip2 > %{name}-%{version}.tar.bz2
%define tarfile %{name}-%{version}.tar.bz2

Name:          anerley
Version:       0.2.14
Release:       5%{?dist}
Epoch:         1
Summary:       Widgets for people information

Group:         System Environment/Libraries
License:       LGPLv2
URL:           http://www.meego.com
Source0:       %{tarfile}

BuildRequires: evolution-data-server-devel
BuildRequires: glib2-devel
BuildRequires: libmx-devel
BuildRequires: telepathy-glib-devel
BuildRequires: intltool
BuildRequires: libtool
BuildRequires: gettext

%description
Widgets for management of people information using telepathy 
and associated protocols

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release} 
Requires: pkgconfig

%description devel
Files for development with %{name}.

%prep
%setup -q

# Require until stable tar ball release
NOCONFIGURE=yes ./autogen.sh

%build
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} INSTALL='install -p'

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%find_lang %{name}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING
%{_sysconfdir}/xdg/autostart/anerley-account-starter.desktop
%{_libdir}/*.so.*
%{_libexecdir}/anerley-account-starter
%{_datadir}/anerley

%files devel
%defattr(-,root,root,-)
%{_includedir}/anerley
%{_libdir}/pkgconfig/anerley.pc
%{_libdir}/*.so

%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.2.14-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Feb  3 2011 Peter Robinson <pbrobinson@gmail.com> 1:0.2.14-4
- Bump build for new evolution

* Tue Jul 20 2010 Peter Robinson <pbrobinson@gmail.com> 1:0.2.14-3
- Bump build for new evolution

* Mon Jul  5 2010 Peter Robinson <pbrobinson@gmail.com> 1:0.2.14-2
- Bump build for new libmx

* Fri Jun 25 2010 Peter Robinson <pbrobinson@gmail.com> 1:0.2.14-1
- New upstream 0.2.14 release

* Wed May 26 2010 Peter Robinson <pbrobinson@gmail.com> 1:0.1.8-5
- Bump build for new evolution

* Tue May  4 2010 Peter Robinson <pbrobinson@gmail.com> 1:0.1.8-4
- Bump build for new evolution

* Wed Apr 28 2010 Peter Robinson <pbrobinson@gmail.com> 1:0.1.8-3
- Rebuild

* Mon Apr 26 2010 Peter Robinson <pbrobinson@gmail.com> 1:0.1.8-2
- Fix dependencies

* Mon Apr 26 2010 Peter Robinson <pbrobinson@gmail.com> 1:0.1.8-1
- Add Epoch to fix issues with current release

* Wed Feb 10 2010 Peter Robinson <pbrobinson@gmail.com> 0.2.3-1
- New upstream 0.2.3 release

* Wed Jan 27 2010 Peter Robinson <pbrobinson@gmail.com> 0.2.2-3
- Drop the autogen for a proper release. Doh!

* Wed Jan 27 2010 Peter Robinson <pbrobinson@gmail.com> 0.2.2-2
- Bump release

* Tue Jan 26 2010 Peter Robinson <pbrobinson@gmail.com> 0.2.2-1
- New upstream 0.2.2 paper bag release

* Tue Jan 26 2010 Peter Robinson <pbrobinson@gmail.com> 0.2.1-2
- replace nbtk with libmx

* Tue Jan 26 2010 Peter Robinson <pbrobinson@gmail.com> 0.2.1-1
- New upstream 0.2.1 release

* Wed Jan 13 2010 Peter Robinson <pbrobinson@gmail.com> 0.2.1-0.1
- Move to upstream git snapshot

* Sun Dec  6 2009 Peter Robinson <pbrobinson@gmail.com> 0.2.0-3
- Fix spec file. Damn FUDCon hotel wifi

* Sat Dec  5 2009 Peter Robinson <pbrobinson@gmail.com> 0.2.0-2
- Add patch from upstream to fix segfault when no self contact is found

* Fri Nov 13 2009 Peter Robinson <pbrobinson@gmail.com> 0.2.0-1
- New upstream 0.2.0 release

* Fri Oct 16 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.7-1
- New upstream 0.1.7 release

* Sun Oct 11 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.6-1
- New upstream 0.1.6 release

* Sat Oct 10 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.5-1
- New upstream 0.1.5 release

* Wed Sep 30 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.4-1
- New upstream 0.1.4 release, drop upstreamed MC5 patches

* Tue Sep 29 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.2-1
- New upstream 0.1.2 release

* Tue Sep 29 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.1-3
- Add patch for pkgconfig file for mc5

* Mon Sep 28 2009 Bastien Nocera <bnocera@redhat.com> 0.1.1-2
- Add patch to port to Mission Control 5

* Sat Sep 19 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.1-1
- New upstream 0.1.1 release

* Fri Aug  7 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.20-4
- Rebuild due to mission-control bump

* Fri Aug  7 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.20-3
- Re-add gnome-comnmon buildreq

* Fri Aug  7 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.20-2
- Spec file cleanups

* Tue Aug  4 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.20-1
- New upstream release - 0.0.20

* Mon Jul 27 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.18-1
- New upstream release - 0.0.18

* Wed Jul 22 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.17-1
- New upstream release - 0.0.17, add translations

* Sat Jul 18 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.15-1
- New upstream release - 0.0.15

* Thu Jun 18 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.13-1
- New upstream release, review feedback

* Thu Jun 18 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.9-1
- Initial packaging
